From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 29 Oct 2024 11:28:28 +0100
Subject: Fix SyntaxWarning

/usr/lib/python3/dist-packages/winacl/functions/winregistry.py:27: SyntaxWarning: invalid escape sequenc
e '\C'
  key = 'System\CurrentControlSet\Services\Tcpip\Parameters\Interfaces'
---
 winacl/functions/winregistry.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/winacl/functions/winregistry.py b/winacl/functions/winregistry.py
index 179f434..753ef5f 100644
--- a/winacl/functions/winregistry.py
+++ b/winacl/functions/winregistry.py
@@ -24,7 +24,7 @@ def get_nameserver_candidates():
 
 	ips = {}
 	hklm = winreg.ConnectRegistry(None, winreg.HKEY_LOCAL_MACHINE)
-	key = 'System\CurrentControlSet\Services\Tcpip\Parameters\Interfaces'
+	key = r'System\CurrentControlSet\Services\Tcpip\Parameters\Interfaces'
 	aKey = winreg.OpenKey(hklm, key)
 	for i in range(1024):
 		try:
@@ -48,4 +48,4 @@ def get_nameserver_candidates():
 
 if __name__ == '__main__':
 	x = get_nameserver_candidates()
-	print(x)
\ No newline at end of file
+	print(x)
